#ifndef __HOOKS_H__
#define __HOOKS_H__

#include "stdio.h"
#include "as/AS.h"

#include "device/photosensor.h"
#include "device/coil.h"
#include "control/sequence.h"
#include "device/coil.h"

extern void errorCallback(bool,char);

inline void StartupHook () {
	/* Initialize modules */
	COIL_Init();
	PHOTOSENSOR_Init();
	//STOPWATCH_Init(1000000);
	
	/* Set callback to our own callback handler */
	PHOTOSENSOR_SetErrorCallback(errorCallback);
	
	/* Enable the sequence to be executed */
	SEQUENCE_Start();
}

#endif // __HOOKS_H__

