#ifndef __HW_HAL_PLATFORM_H__
#define __HW_HAL_PLATFORM_H__

#include "hw/dev/IRQCtrl.h"

namespace hw {
namespace hal {

typedef SRC_t_nonv* ServiceRequestRegisterType;

// TODO: write a better abstraction of enableISR and disableISR
inline void disableISR (ServiceRequestRegisterType reg) {
	reg->bits.SRE = 0;
}

inline void enableISR (ServiceRequestRegisterType reg) {
	reg->bits.SRE = 1;
}

}
}

#endif // __HW_HAL_PLATFORM_H__
