#ifndef OS_COM_ASCOM_RX_FILTER_MASKED_NEW_DIFFERS_X_H
#define OS_COM_ASCOM_RX_FILTER_MASKED_NEW_DIFFERS_X_H

#include "os/com/ComStack_Types.h"
#include "os/com/ascom/FilterAlgo.h"
#include "os/com/ascom/rx/RxSignalType.h"

namespace os { namespace com { namespace ascom {

namespace rxfilter {

/*	static Bool
	MaskedNewDiffersX_Opaque(RxSignalRype const * RxSig) {
		return filter::MaskedNewDiffersX((UInt8 const *)RxSig->NewValue(),
																		 (UInt8 const *)RxSig->FilterX(),
																		 (UInt8 const *)RxSig->FilterMask(),
																		 RxSig->Length());
	}
*/

	template<typename T>
	Bool
	MaskedNewDiffersX(RxSignalType * RxSig, void const * NewValue) {
		return filter::MaskedNewDiffersX< T >(*(T const *)NewValue,
											   (T)RxSig->FilterXValue(),
											   (T)RxSig->FilterMask());
	}

}

}}}

#endif

