#ifndef OS_COM_ASCOM_TX_FILTER_MASKED_NEW_DIFFERS_X_H
#define OS_COM_ASCOM_TX_FILTER_MASKED_NEW_DIFFERS_X_H

#include "os/com/ComStack_Types.h"
#include "os/com/ascom/FilterAlgo.h"
#include "os/com/ascom/tx/TxSignalType.h"

namespace os { namespace com { namespace ascom {

namespace txfilter {

template<typename T>
Bool
MaskedNewDiffersX(TxSignalType * TxSig, void const * NewValue) {
	return filter::MaskedNewDiffersX< T >(*(T const *)NewValue,
										   (T)TxSig->FilterXValue(),
										   (T)TxSig->FilterMask());
}

}

}}}

#endif

