#include "os/com/ascom/AsCom.h"

#include "TxSignalType.h"
#include "TxIpduType.h"

namespace os { namespace com { namespace ascom {

void
TxIpduType::TxConfirmation () {

}

inline void
TxIpduType::Init () {

}

void
TxIpduType::Init (TxIpduConfigType const * ConfigPtr) {
	*(TxIpduConfigType*)this = *ConfigPtr;
	Init ();
}

StatusType
TxIpduType::TxRequest () {
	// Internal aspects can weave here
	PduInfoType PduInfo = {SduBuffer (), Length ()};
	return TransmitEvent (&PduInfo);
}

void
TxIpduType::TriggerIpduSend () {
	TxRequest ();
}

inline StatusType
TxIpduType::TransmitEvent (PduInfoType const * PduInfoPtr) {
	// Connecting aspects can bind here.
	return E_NOT_OK;
}

void
TxIpduType::Start (Bool Initialize) {
	if (Initialize) {
		Init ();
	}
}

void TxIpduType::Stop () {

}

TxIpduType TxIpduType::TxIpdus_[cfOS_COM_ASCOM_TX_IPDU_MULTIPLICITY];
TxIpduIdType TxIpduType::TxIpduMultiplicity_;

}}}
