#ifndef OS_MP_COMMON_POINTCUTS_H_
#define OS_MP_COMMON_POINTCUTS_H_

#include "as/autosar_pointcuts.h"

namespace os { namespace mp {

	pointcut pcOS() = //"% os::...::%(...)";
					  asAllServices();
					  
	pointcut pcConstMethods() = "% ...::%(...) const";
	pointcut pcNoAction() = "% ...::Inst(...)";

	
	pointcut pcToOS() = call(pcOS()) && !within(pcOS());

	pointcut pcStartFuncs() = "void ...::functionTask%()" ;
	pointcut pcISRs() = "void ...::functionISR%()" ;
}}

#endif /*OS_MP_COMMON_POINTCUTS_AH_*/
