#ifndef __DefaultAllocator_h__
#define __DefaultAllocator_h__

#include "mem/Allocator.h"
#include "mem/StaticMemPool.h"
#include "mem/strategy/NeverFree.h"
#include "mem/strategy/FixedFit.h"
#include "util/types.h"

//! Default Allocator
/** It's just a wrapper.  Should be configured by variants.
 */ 

struct DefaultAllocator{
	typedef Allocator<StaticMemPool<1024>,NeverFree> alloc_t;
};

#endif //__DefaultAllocator_h__
