#ifndef __MemPoolBase_h__
#define __MemPoolBase_h__

#include "util/types.h"

class MemPoolBase{

public:
	typedef UInt8 value_t;
	typedef Ptr pointer_t;
	
	virtual ~MemPoolBase(){};
	
	virtual pointer_t addr()  =0;
	
	virtual size_t size() =0;
	
	void operator delete(void*){}
};

#endif // __MemPoolBase_h__
