#ifndef APPCODE_H_
#define APPCODE_H_

//TODO: SHOULD BE LOCATED IN SOME OS HEADER
#define CIAO_COMPONENT(name) \
class name {\
public:\
	static name &Inst() {\
		return inst_;\
	}\
private:\
	static name inst_;

#define CIAO_COMPONENT_INST(name) name name::inst_;
	
#define TASKDECL(TaskID)\
public:\
	static void functionTask##TaskID (void)

#define TASKDEF(component,TaskID)\
	void component::functionTask##TaskID (void)
	
#define ISRDECL(ISRID)\
public:\
	static void functionISR##ISRID (void)

#define ISRDEF(component,ISRID)\
	void component::functionISR##ISRID (void)
	
	
//CIAO_COMPONENT(Alpha)
//public:
//private:
//	TASKDECL(Task0);
//	TASKDECL(Task1);
//	TASKDECL(Task2);
//	TASKDECL(Task3);
//	ISRDECL (ISRIn1);
//	ISRDECL (ISRIn2);
//};


class Alpha {
public:
	static Alpha &Inst() {
		return inst_;
	}
private:
	static Alpha inst_;
public:
	static void functionTaskTask0 (void);
	static void functionTaskTask1 (void);
	static void functionTaskTask2 (void);
	static void functionTaskTask3 (void);
	static void functionISRISRIn1 (void);
	static void functionISRISRIn2 (void);
};

void triggerDMA_SYSSRC2() __attribute__ ((noinline));

#endif /*USERCODE1_H_*/
