#include "hw/hal/DebugPort.h"
#include "hw/dev/CGU.h"
#include "hw/triboard1796.h"
#include "stdio.h"



int main() {
	unsigned long freq1 = hw::dev::CGU::Inst().getRealCPUClockFreq();
	unsigned long freq2 = hw::dev::CGU::Inst().getRealSysClockFreq();
	int i = 0;
	while( true )	
		printf( "%5d CiAO says hello from TriBoard. System running at %u/%u MHz (cpu/sys)\r\n", 
				i++, freq1 / 1000000, freq2 / 1000000 );
	return 0;		
}
