#include "Canonical.h"
#include cfCIAO_CANONICAL_IMPL_HEADER

#ifdef cfCIAO_INLINE		// methods shall be declared as inline
# define _INLINE inline	// only if ciao-layer itself is inlined
#else
# define _INLINE
#endif

namespace ciao { namespace dev { namespace std {

// Define standard stuff (Inst(), Impl, impl())
CIAO_CLASS_DEF( Canonical, cfCIAO_CANONICAL_IMPL );

_INLINE	void Canonical::operation_A( int n ) {
	impl()->operation_A( n );
}
	
// additional methods, only defined by os::dev::std::Canonical 
#ifndef cfCIAO_CANONICAL_IMPL_HW

_INLINE int Canonical::operation_B() {
	return impl()->operation_B();
}

#endif // cfCIAO_CANONICAL_IMPL_HW

}}}	// namespace ciao::dev::std

#undef _INLINE