#ifndef __HEADER_MULTIBOOT_H__
#define __HEADER_MULTIBOOT_H__

#include "stdinc.h"

namespace hw {
  extern "C" unsigned int MULTIBOOT_FLAGS;
  extern "C" unsigned int MULTIBOOT_LOWER_MEM;
  extern "C" unsigned int MULTIBOOT_UPPER_MEM;
  extern "C" unsigned int MULTIBOOT_BOOTDEVICE;
  extern "C" const char*  MULTIBOOT_CMDLINE;
  extern "C" unsigned int MULTIBOOT_MODULES_COUNT;
  extern "C" const UInt8* MULTIBOOT_MODULES_ADDRESS;
}

#endif // __HEADER_MULTIBOOT_H__
