ENTRY(_start)

/*
MEMORY {
       ext_cram (rx)  : ORIGIN = 2M, LENGTH = 1M
       ext_dram (!xi) : ORIGIN = 3M, LENGTH = 1M
       ext_bram (!xl) : ORIGIN = 4M, LENGTH = 8M
}
*/

SECTIONS {
   PROVIDE (__executable_start = 0x200000);
   . = 0x200000 + SIZEOF_HEADERS;

   .text : {
      *(".text.startup")
   }
   
   .bss : {
      *(".bss")
   }

   /*
   .text : {
      *(".text")
      *(".text$")
      *(".init")
      *(".fini")
      *(".gnu.linkonce.*")
   } /* > ext_cram */

   /*
   .data : {
      *(".data")
      *(".data$")
      *(".rodata")

      *(".got")
      *(".got.plt")
   } /* > ext_dram */

   /*
   .bss : {
      *(".bss*")
   } /* > ext_bram */

   /*
   __EXT_DATA_RAM_BEGIN = .;
   */

}
