/*
 * KeyboardCtrl_de.cpp
 *
 *  Created on: 12.11.2009
 *      Author: bossel00
 */

#include "KeyboardCtrl.h"


namespace hw {
namespace dev {

/* STATIC MEMERS */
unsigned char KeyboardCtrl::normal_tab[] = { 0, 0, '1', '2', '3', '4',
		'5', '6', '7', '8', '9', '0', 225, 39, '\b', 0, 'q', 'w', 'e', 'r',
		't', 'z', 'u', 'i', 'o', 'p', 129, '+', '\n', 0, 'a', 's', 'd', 'f',
		'g', 'h', 'j', 'k', 'l', 148, 132, '^', 0, '#', 'y', 'x', 'c', 'v',
		'b', 'n', 'm', ',', '.', '-', 0, '*', 0, ' ', 0, 0, 0, 0, 0, 0, 0, 0,
		0, 0, 0, 0, 0, 0, 0, 0, '-', 0, 0, 0, '+', 0, 0, 0, 0, 0, 0, 0, '<', 0,
		0 };

unsigned char KeyboardCtrl::shift_tab[] = { 0, 0, '!', '"', 21, '$',
		'%', '&', '/', '(', ')', '=', '?', 96, 0, 0, 'Q', 'W', 'E', 'R', 'T',
		'Z', 'U', 'I', 'O', 'P', 154, '*', 0, 0, 'A', 'S', 'D', 'F', 'G', 'H',
		'J', 'K', 'L', 153, 142, 248, 0, 39, 'Y', 'X', 'C', 'V', 'B', 'N', 'M',
		';', ':', '_', 0, 0, 0, ' ', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
		0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '>', 0, 0 };

unsigned char KeyboardCtrl::alt_tab[] = { 0, 0, 0, 253, 0, 0, 0, 0, '{',
		'[', ']', '}', '\\', 0, 0, 0, '@', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '~',
		0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 230,
		0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
		0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '|', 0, 0 };

unsigned char KeyboardCtrl::asc_num_tab[] = { '7', '8', '9', '-', '4',
		'5', '6', '+', '1', '2', '3', '0', ',' };
unsigned char KeyboardCtrl::scan_num_tab[] = { 8, 9, 10, 53, 5, 6, 7,
		27, 2, 3, 4, 11, 51 };

}
}
