#include "PIC.h"

void hw::dev::PIC::setIRQMask(PIC_IRQ mask) {
	irq_mask = mask.mask;
	UInt8 irq1 = mask.mask & 0xff;
	UInt8 irq2 = mask.mask >> 8;

	imr1.outb(irq1);
	imr2.outb(irq2);
}

hw::dev::PIC hw::dev::PIC::_thePIC;
