;;
;; PagingAsm64.asm
;;
;;  Created on: May 31, 2010
;;      Author: bossel00
;;

section .text

;; extern "C" void paging_set_pagetable(void* pagetable)
global paging_set_pagetable
paging_set_pagetable:
        ; Basiszeiger setzen
        mov     cr3, rdi
        ret

;; extern "C" void enable_paging(void* pagetable);
global enable_paging
enable_paging:
        enter   0, 0

        ; Basiszeiger setzen
        mov     cr3, rdi

        ; Paging aktivieren
        mov     rax, cr0
        ;or     rax, (1 << 31) | (1 << 16)  ; PG | WP
        or      rax, (1 << 16) ; WP (Wenn man PG setzt, gibt's einen #GP? Ist PE nicht im IA-32e/LongMode Modus gesesetzt?)
        mov     cr0, rax

        leave
        ret

;; extern "C" void disable_paging();
global disable_paging
disable_paging:
        ; Paging deaktivieren
        mov     rax, cr0
        and     rax, ~(1 << 31)
        mov     cr0, rax

        ret

