#ifndef __HW_HAL_PLATFORM_H__
#define __HW_HAL_PLATFORM_H__

#include "util/types.h"

#include "hw/dev/PIC.h"

namespace hw {
namespace hal {

typedef UInt8 ServiceRequestRegisterType;

// TODO: write a better abstraction of enableISR and disableISR
inline void disableISR (ServiceRequestRegisterType reg) {
	hw::dev::PIC::Inst().disableIRQ(reg);
}

inline void enableISR (ServiceRequestRegisterType reg) {
	hw::dev::PIC::Inst().enableIRQ(reg);
}

}
}

#endif // __HW_HAL_PLATFORM_H__
