#ifndef HW_HAL_CAN_TX_LPDU_ID_TYPE_H
#define HW_HAL_CAN_TX_LPDU_ID_TYPE_H

#include "util/types.h"
#include "ciaoConfig.h"

namespace hw { namespace hal { namespace can {

// Configuration parameter type definition
typedef uint_t_value<cfHW_HAL_CAN_TX_LPDU_MULTIPLICITY>::T TxLpduIdStorageType;

// runtime parameter type definition: "+1" because of possible loop index comparisons
typedef uint_t_value_opt<cfHW_HAL_CAN_TX_LPDU_MULTIPLICITY>::T TxLpduIdType;

}}}

#endif
