#include "util/assert.h"
#include "util/intrinsics.h"
#include "stdio.h"

extern "C" void  CIAO_WEAK __ciao_assertion_handler( 
		const char* test, 
		const char* msg, 
		const char* file, 
		unsigned int line 
	) 
{ 
	printf("\r\n%s:%u - ASSERT(%s,%s) FAILED!\r\n", file, line, test, msg);
	_debug();
}

