#include "TxIpduType.h"
#include "TxIpduGroupType.h"

namespace os { namespace com { namespace ascom {

void
TxIpduGroupType::Start (Bool Initialize) {
	if (Initialize) {
		Init ();
	}
	for (TxIpduIdType ActId = IpduIdMin (); ActId <= IpduIdMax (); ++ActId) {
		TxIpduType::Inst (ActId).Start (Initialize);
	}
}

void
TxIpduGroupType::Stop () {
	for (TxIpduIdType ActId = IpduIdMin (); ActId <= IpduIdMax (); ++ActId) {
		TxIpduType::Inst (ActId).Stop ();
	}
}

TxIpduGroupType TxIpduGroupType::TxIpduGroups_[cfOS_COM_ASCOM_TX_IPDU_GROUP_MULTIPLICITY];

}}}

