// $Id: stdinc.h 995 2009-08-11 14:26:31Z mike $
// Created:   26.05.2006 lohmann

/**
 * @file stdinc.h
 * @brief includes the most commonly used headers.
 */

#ifndef __STDINC_H__
#define __STDINC_H__

// include configuration flags
#include "ciaoConfig.h"

// include source documentation macros
#include "sourcedoc.h"

// include compile-time checking tools
#include "util/assert.h"

// include magic compiler macros and functions (plattform-dependend)
#include "util/compiler.h"

// include compiler intrinsics (plattform-dependend)
#include "util/intrinsics.h"

// include fundamental type abstractions
#include "util/types.h"	



#endif // __STDINC_H__

