#include "util/container/allocating/List.h"
#include "mem/StackAllocator.h"


inline void* operator new(unsigned int,void* p){return p;}

int main (){

	typedef StackAllocator< List<int>::node_t,3 > CustomAllocator;
	typedef allocating::List<int,CustomAllocator> IntList;
	
	IntList list;
	list.push_front(123456);
	list.push_front(23);
	list.push_front(42);
	
	IntList::iterator iter=list.begin();
	int ret=0;
	while(iter != list.end()){
		ret += *iter;
		++iter;
	}
	return ret;
}


#ifndef makeARCH_i386
extern "C" void start(){
	main();
}

extern "C" void exit(){}
#endif 

